Jump to content

Photo

Firefox-52.0 no sound on YouTube

- - - - -

Best Answer cardinal , 10 March 2017 - 09:54 PM

Sound output in pre-compiled firefox >=52.0 requires pulseaudio.
I use this method : https://wiki.archlin...mb_pipe_to_ALSA
Required USE="-alsa-plugin" in pulseaudio with my profile.

[i] media-sound/pulseaudio
     Available versions:  9.0 10.0 {+X +alsa +alsa-plugin +asyncns bluetooth +caps dbus doc equalizer +gdbm +glib gnome gtk ipv6 jack libressl libsamplerate lirc native-headset neon ofono-headset +orc oss qt4 realtime selinux sox ssl system-wide systemd tcpd test +udev +webrtc-aec xen zeroconf ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  10.0(11:09:17 PM 03/07/2017)(X alsa asyncns bluetooth caps dbus gdbm glib gtk ipv6 orc ssl tcpd udev webrtc-aec -alsa-plugin -doc -equalizer -gnome -jack -libressl -libsamplerate -lirc -native-headset -neon -ofono-headset -oss -qt4 -realtime -selinux -sox -system-wide -systemd -test -zeroconf ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            http://www.pulseaudio.org/
     Description:         A networked sound server with an advanced plugin system

Go to the full post »


3 replies to this topic

#1
john123

john123

    Member

  • Members
  • PipPip
  • 11 posts

Hi,

After recent Firefox update, there is no sound on YT.  I have sound on other players in Firefox,  just not on YT. 

And there is  notification that needs to be installed pulseaudio.

Is it just me? I don't have pulseaudio installed.

It is firefox-bin latest version 52.0. And adobe-flash plugin.



#2
cardinal

cardinal

    Advanced Member

  • Members
  • PipPipPip
  • 233 posts
✓  Best Answer

Sound output in pre-compiled firefox >=52.0 requires pulseaudio.
I use this method : https://wiki.archlin...mb_pipe_to_ALSA
Required USE="-alsa-plugin" in pulseaudio with my profile.

[i] media-sound/pulseaudio
     Available versions:  9.0 10.0 {+X +alsa +alsa-plugin +asyncns bluetooth +caps dbus doc equalizer +gdbm +glib gnome gtk ipv6 jack libressl libsamplerate lirc native-headset neon ofono-headset +orc oss qt4 realtime selinux sox ssl system-wide systemd tcpd test +udev +webrtc-aec xen zeroconf ABI_MIPS="n32 n64 o32" ABI_PPC="32 64" ABI_S390="32 64" ABI_X86="32 64 x32"}
     Installed versions:  10.0(11:09:17 PM 03/07/2017)(X alsa asyncns bluetooth caps dbus gdbm glib gtk ipv6 orc ssl tcpd udev webrtc-aec -alsa-plugin -doc -equalizer -gnome -jack -libressl -libsamplerate -lirc -native-headset -neon -ofono-headset -oss -qt4 -realtime -selinux -sox -system-wide -systemd -test -zeroconf ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32")
     Homepage:            http://www.pulseaudio.org/
     Description:         A networked sound server with an advanced plugin system



#3
john123

john123

    Member

  • Members
  • PipPip
  • 11 posts

Cardinal thanks. Works like a charm.



#4
nrc

nrc

    Advanced Member

  • Members
  • PipPipPip
  • 51 posts
  • LocationColumbus, Ohio, USA

I assume that once the source package becomes available the -pulseaudio USE flag will still work.  I'm not installing a stutter inducing sound shim to appease Mozilla developers.





Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users